function ciy_lazyimg(init) {
    if (init) {
        window.onscroll = function () {
            ciy_lazyimg();
        };
    } else {
        if (+new Date() - window._lazyimg < 500)
            return;
        window._lazyimg = +new Date();
    }
    var arr = document.images;
    for (var i = 0, len = arr.length; i < len; i++) {
        var rect = arr[i].getBoundingClientRect();
        if (rect.left == 0 && rect.right == 0)
            continue;
        if (rect.top + 400 > rect.height && rect.top - rect.height - 100 < document.documentElement.clientHeight && !arr[i].src) {
            arr[i].src = arr[i].getAttribute("data-src");
        }
    }
}
